From: Ramkumar Ramachandra <artagnon@gmail.com>
To: Git List <git@vger.kernel.org>
Cc: Junio C Hamano <gitster@pobox.com>
Subject: [PATCH 3/7] rebase: prepare to do generic housekeeping
Date: Sun, 12 May 2013 17:26:37 +0530 [thread overview]
Message-ID: <1368359801-28121-4-git-send-email-artagnon@gmail.com> (raw)
In-Reply-To: <1368359801-28121-1-git-send-email-artagnon@gmail.com>
On successful completion of a rebase in git-rebase--$backend.sh, the
$backend script cleans up on its own and exits. The cleanup routine
is however, independent of the $backend, and each $backend script
unnecessarily duplicates this work:
rm -rf "$state_dir"
git gc --auto
Prepare git-rebase.sh for later patches that return control from each
$backend script back to us, for performing this generic cleanup
routine. The code that this patch adds is currently unreachable, and
will only start to be used when git-rebase--$backend.sh scripts are
taught to return control in later patches.
Another advantage is that git-rebase.sh can implement a generic
finish_rebase() to possibly do additional tasks in addition to the
cleanup.
Signed-off-by: Ramkumar Ramachandra <artagnon@gmail.com>
---
git-rebase.sh | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/git-rebase.sh b/git-rebase.sh
index 2c692c3..f8b533d 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -150,6 +150,13 @@ run_specific_rebase () {
autosquash=
fi
. git-rebase--$type
+ ret=$?
+ if test $ret -eq 0
+ then
+ git gc --auto &&
+ rm -rf "$state_dir"
+ fi
+ exit $ret
}
run_pre_rebase_hook () {
--
1.8.3.rc1.51.gd7a04de
next prev parent reply other threads:[~2013-05-12 11:56 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-05-12 11:56 [PATCH v3 0/7] rebase.autostash completed Ramkumar Ramachandra
2013-05-12 11:56 ` [PATCH 1/7] am: tighten a conditional that checks for $dotest Ramkumar Ramachandra
2013-05-12 11:56 ` [PATCH 2/7] rebase -i: don't error out if $state_dir already exists Ramkumar Ramachandra
2013-05-12 11:56 ` Ramkumar Ramachandra [this message]
2013-05-12 11:56 ` [PATCH 4/7] am: return control to caller, for housekeeping Ramkumar Ramachandra
2013-05-12 11:56 ` [PATCH 5/7] rebase -i: " Ramkumar Ramachandra
2013-05-12 11:56 ` [PATCH 6/7] rebase --merge: " Ramkumar Ramachandra
2013-05-12 11:56 ` [PATCH 7/7] rebase: implement --[no-]autostash and rebase.autostash Ramkumar Ramachandra
2013-05-13 6:28 ` Junio C Hamano
2013-05-13 8:03 ` Ramkumar Ramachandra
2013-05-13 13:49 ` Junio C Hamano
2013-05-13 13:52 ` Ramkumar Ramachandra
2013-05-13 8:24 ` Matthieu Moy
2013-05-13 8:27 ` Ramkumar Ramachandra
2013-05-13 8:41 ` Matthieu Moy
2013-05-13 4:57 ` [PATCH v3 0/7] rebase.autostash completed Junio C Hamano
2013-05-13 7:59 ` Ramkumar Ramachandra
2013-05-13 8:32 ` Matthieu Moy
2013-05-13 14:02 ` Junio C Hamano
2013-05-13 14:00 ` Junio C Hamano
2013-05-13 14:17 ` Ramkumar Ramachandra
2013-05-13 14:56 ` Junio C Hamano
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1368359801-28121-4-git-send-email-artagnon@gmail.com \
--to=artagnon@gmail.com \
--cc=git@vger.kernel.org \
--cc=gitster@pobox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.